#224 v2.5 Ubuntu 16.04 64 bit

v2.1
open
nobody
None
5
6 days ago
2017-01-07
sildeag
No

I followed the instructions in INSTALL.txt and everything seemed clean to me:

sudo apt-get install qtbase5-dev qt5-default libsndfile1-dev libsamplerate0-dev libfftw3-dev libbz2-dev libjack-dev libjack0 libpulse-dev libmad0-dev libid3tag0-dev liboggz2-dev libfishsound1-dev libasound2-dev liblo-dev liblrdf0-dev libsord-dev libserd-dev vamp-plugin-sdk librubberband-dev
cd sonic-visualiser-2.5
./configure
make

Output was:
`...

Totals: 4 passed, 0 failed, 0 skipped, 0 blacklisted
* Finished testing of TestFFTModel *
All tests passed
make[1]: Leaving directory '/home/gordon/sonic-visualiser-2.5/svcore/data/model/test'`

I tried ./sonic-visualiser and terminal output was:

INFO: Found abandoned temporary directory from a previous, defunct process (pid=10217, directory="/home/gordon/.local/share/sonic-visualiser/Sonic Visualiser/sv_tkxzMb"). Removing it... ...done. pitch 69 note 9 octave 4 cents 0 22050 samples at rate 44100 Segmentation fault (core dumped)

Discussion

  • sildeag

    sildeag - 2017-01-07
    Post awaiting moderation.
  • sildeag

    sildeag - 2017-01-07

    Please delete "Post awaiting moderation." I have discovered how to use Qt Creator and am in the process of investigating the Segmentation fault using Qt 5.8.0 RC (because I wanted to upgrade to that).

     
    Last edit: sildeag 6 days ago
  • sildeag

    sildeag - 6 days ago

    The error message output that I see prior to Segmentation fault is:
    ********* Start testing of AudioFileReaderTest ********* Config: Using QtTest library 5.5.1, Qt 5.5.1 (x86_64-little_endian-lp64 shared (dynamic) release build; by GCC 5.4.0 20160609) PASS : AudioFileReaderTest::initTestCase() QFATAL : AudioFileReaderTest::read() ASSERT failure in QTest::fetchData(): "Test data requested, but no testdata available.", file qtestcase.cpp, line 2115 FAIL! : AudioFileReaderTest::read() Received a fatal error. Loc: [Unknown file(0)] Totals: 1 passed, 1 failed, 0 skipped, 0 blacklisted

     
  • Chris Cannam

    Chris Cannam - 6 days ago

    Hi -- sorry to take a while to reply, I've been very busy ploughing toward the next release (a 3.0-beta should be out today or tomorrow I hope).

    Re. the initial segmentation fault, is it possible that there's an incompatibility with an installed Vamp plugin? I have seen various problems of this sort due to plugins and host being compiled against difference C++ ABI versions, since many distros switched to gcc 5 which changed the ABI.

    It's worth running with a VAMP_PATH environment variable that makes it unable to pick up any plugins:

    $ VAMP_PATH=/nonexistent ./sonic-visualiser

    (where "/nonexistent" could be anything, so long as it isn't a directory that actually has any plugins in it!)

    to see whether that makes any difference.

     
    • sildeag

      sildeag - 6 days ago

      Thanks, I will try that out.

      I also should mention I upgraded Dataquay to the latest source code
      version and installed librdf version from the Ubuntu 16.04 repo. My
      reason for trying Qt 5.8 was to hopefully eliminate hundreds of warning
      messages but am struggling with that. There are some references to
      previous Qt versions including Qt4.

      During debugging I wondered if I wasn't missing a "testfiles" folder +
      contents and wondered where I would find that or place it.

      I look forward to the 3.0-beta.

      Gordon

      On 2017-01-10 11:17, Chris Cannam wrote:

      Hi -- sorry to take a while to reply, I've been very busy ploughing
      toward the next release (a 3.0-beta should be out today or tomorrow I
      hope).

      Re. the initial segmentation fault, is it possible that there's an
      incompatibility with an installed Vamp plugin? I have seen various
      problems of this sort due to plugins and host being compiled against
      difference C++ ABI versions, since many distros switched to gcc 5
      which changed the ABI.

      It's worth running with a VAMP_PATH environment variable that makes it
      unable to pick up any plugins:

      $ VAMP_PATH=/nonexistent ./sonic-visualiser

      (where "/nonexistent" could be anything, so long as it isn't a
      directory that actually has any plugins in it!)

      to see whether that makes any difference.

      [BUGS:#224] [1] V2.5 UBUNTU 16.04 64 BIT

      STATUS: open
      GROUP: v2.1
      CREATED: Sat Jan 07, 2017 12:18 AM UTC by sildeag
      LAST UPDATED: Tue Jan 10, 2017 02:38 AM UTC
      OWNER: nobody

      I followed the instructions in INSTALL.txt and everything seemed clean
      to me:

      sudo apt-get install qtbase5-dev qt5-default libsndfile1-dev
      libsamplerate0-dev libfftw3-dev libbz2-dev libjack-dev libjack0
      libpulse-dev libmad0-dev libid3tag0-dev liboggz2-dev libfishsound1-dev
      libasound2-dev liblo-dev liblrdf0-dev libsord-dev libserd-dev
      vamp-plugin-sdk librubberband-dev
      cd sonic-visualiser-2.5
      ./configure
      make

      Output was:
      `...

      Totals: 4 passed, 0 failed, 0 skipped, 0 blacklisted
      FINISHED TESTING OF TESTFFTMODEL
      All tests passed
      make[1]: Leaving directory
      '/home/gordon/sonic-visualiser-2.5/svcore/data/model/test'`

      I tried ./sonic-visualiser and terminal output was:

      INFO: Found abandoned temporary directory from a previous, defunct
      process (pid=10217,
      directory="/home/gordon/.local/share/sonic-visualiser/Sonic
      Visualiser/sv_tkxzMb"). Removing it... ...done. pitch 69 note 9 octave
      4 cents 0 22050 samples at rate 44100 Segmentation fault (core dumped)


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/sv1/bugs/224/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      *

      [1] https://sourceforge.net/p/sv1/bugs/224/

       
      • sildeag

        sildeag - 6 days ago

        VAMP_PATH made no difference.
        I am using g++ version 5.4

        I used:
        qtchooser -install -local 5.8 /home/gordon/Qt/5.8/gcc_64/bin/qmake
        export QT_SELECT=5.8

        On 2017-01-10 13:12, sildeag wrote:

        Thanks, I will try that out.

        I also should mention I upgraded Dataquay to the latest source code
        version and installed librdf version from the Ubuntu 16.04 repo. My
        reason for trying Qt 5.8 was to hopefully eliminate hundreds of
        warning
        messages but am struggling with that. There are some references to
        previous Qt versions including Qt4.

        During debugging I wondered if I wasn't missing a "testfiles" folder +

        contents and wondered where I would find that or place it.

        I look forward to the 3.0-beta.

        Gordon

        On 2017-01-10 11:17, Chris Cannam wrote:

        Hi -- sorry to take a while to reply, I've been very busy ploughing
        toward the next release (a 3.0-beta should be out today or tomorrow
        I
        hope).

        Re. the initial segmentation fault, is it possible that there's an
        incompatibility with an installed Vamp plugin? I have seen various
        problems of this sort due to plugins and host being compiled against
        difference C++ ABI versions, since many distros switched to gcc 5
        which changed the ABI.

        It's worth running with a VAMP_PATH environment variable that makes
        it
        unable to pick up any plugins:

        $ VAMP_PATH=/nonexistent ./sonic-visualiser

        (where "/nonexistent" could be anything, so long as it isn't a
        directory that actually has any plugins in it!)

        TO SEE WHETHER THAT MAKES ANY DIFFERENCE.

        [BUGS:#224] [1] V2.5 UBUNTU 16.04 64 BIT

        STATUS: open
        GROUP: v2.1
        CREATED: Sat Jan 07, 2017 12:18 AM UTC by sildeag
        LAST UPDATED: Tue Jan 10, 2017 02:38 AM UTC
        OWNER: nobody

        I followed the instructions in INSTALL.txt and everything seemed
        clean
        to me:

        sudo apt-get install qtbase5-dev qt5-default libsndfile1-dev
        libsamplerate0-dev libfftw3-dev libbz2-dev libjack-dev libjack0
        libpulse-dev libmad0-dev libid3tag0-dev liboggz2-dev
        libfishsound1-dev
        libasound2-dev liblo-dev liblrdf0-dev libsord-dev libserd-dev
        vamp-plugin-sdk librubberband-dev
        cd sonic-visualiser-2.5
        ./configure
        make

        Output was:
        `...

        Totals: 4 passed, 0 failed, 0 skipped, 0 blacklisted
        FINISHED TESTING OF TESTFFTMODEL
        All tests passed
        make[1]: Leaving directory
        '/home/gordon/sonic-visualiser-2.5/svcore/data/model/test'`

        I tried ./sonic-visualiser and terminal output was:

        INFO: Found abandoned temporary directory from a previous, defunct
        process (pid=10217,
        directory="/home/gordon/.local/share/sonic-visualiser/Sonic
        Visualiser/sv_tkxzMb"). Removing it... ...done. pitch 69 note 9
        octave
        4 cents 0 22050 samples at rate 44100 Segmentation fault (core
        dumped)


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/sv1/bugs/224/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

        *

        LINKS:

        [1] https://sourceforge.net/p/sv1/bugs/224/


        [BUGS:#224] [1] V2.5 UBUNTU 16.04 64 BIT

        STATUS: open
        GROUP: v2.1
        CREATED: Sat Jan 07, 2017 12:18 AM UTC by sildeag
        LAST UPDATED: Tue Jan 10, 2017 04:17 PM UTC
        OWNER: nobody

        I followed the instructions in INSTALL.txt and everything seemed clean
        to me:

        sudo apt-get install qtbase5-dev qt5-default libsndfile1-dev
        libsamplerate0-dev libfftw3-dev libbz2-dev libjack-dev libjack0
        libpulse-dev libmad0-dev libid3tag0-dev liboggz2-dev libfishsound1-dev
        libasound2-dev liblo-dev liblrdf0-dev libsord-dev libserd-dev
        vamp-plugin-sdk librubberband-dev
        cd sonic-visualiser-2.5
        ./configure
        make

        Output was:
        `...

        Totals: 4 passed, 0 failed, 0 skipped, 0 blacklisted
        FINISHED TESTING OF TESTFFTMODEL
        All tests passed
        make[1]: Leaving directory
        '/home/gordon/sonic-visualiser-2.5/svcore/data/model/test'`

        I tried ./sonic-visualiser and terminal output was:

        INFO: Found abandoned temporary directory from a previous, defunct
        process (pid=10217,
        directory="/home/gordon/.local/share/sonic-visualiser/Sonic
        Visualiser/sv_tkxzMb"). Removing it... ...done. pitch 69 note 9 octave
        4 cents 0 22050 samples at rate 44100 Segmentation fault (core dumped)


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/sv1/bugs/224/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

        *

        [1] https://sourceforge.net/p/sv1/bugs/224/

         
  • sildeag

    sildeag - 6 days ago

    I guess you can close this.

    I downloaded the source to "sonic-visualiser 3.0 beta."
    I had to sudo apt-get install capnproto due to missing include. That didn't work.
    I then did, in case anyone else has that issue:
    git clone https://github.com/sandstorm-io/capnproto.git
    cd capnproto/c++
    autoreconf -i && ./configure && make -j6 check && sudo make install
    Building from source worked.
    ./sonic-visualiser
    had no errors. I was warned "Failed to scan for plugins"
    and I had not used that before.

    I'll open a new issue if any further problems.
    Thanks.
    `

     
    Last edit: sildeag 6 days ago

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks